diff tests/include.sh @ 182:11a9ce2fa331

Add ability to read segment boundaries from a file; test for it; bump version no; make test script bail out if path has spaces (can't cope with that, sheesh)
author Chris Cannam
date Fri, 09 Jan 2015 11:48:12 +0000
parents 64a7faf9a122
children 4ef452f5fefc
line wrap: on
line diff
--- a/tests/include.sh	Thu Oct 16 13:42:21 2014 +0100
+++ b/tests/include.sh	Fri Jan 09 11:48:12 2015 +0000
@@ -1,8 +1,20 @@
 
-mypath=`dirname $0`
+set -e
 
-version=1.1
-nextversion=1.2
+mypath=$(dirname $0)
+
+case "$(pwd)/$mypath" in
+    *" "*)
+	echo 1>&2
+	echo "ERROR: Test scripts do not handle paths containing spaces (yes, I know)" 1>&2
+	echo "(Path is: \"$(pwd)/$mypath\")" 1>&2
+	exit 1;;
+    *)
+    ;;
+esac
+
+version=1.2
+nextversion=1.3
 
 testdir=$mypath/..
 r=$testdir/../sonic-annotator